You are currently offline, waiting for your internet to reconnect

PRB: ADSI 2.5 and MDAC 2.6 Compatibility Issues

This article was previously published under Q275917
This article has been archived. It is offered "as is" and will no longer be updated.
After you install Microsoft Data Access Components version 2.6, queries that use the Active Directory Services Interfaces (ADSI) OLEDB provider, ADSDSOObject, may return the following error:
Error -2147221164 (80040154) : "Class not registered"
Earlier MDAC components, on which the ADSI 2.5 provider depends, were removed.
This problem is resolved in the version of ADSI that is installed by the Directory Services Client (DSClient) for Microsoft Windows NT 4.0.
ADSI version 2.5 depends on legacy components of MDAC that were removed in MDAC version 2.6. The version of ADSI that is available through the DSClient does not depend on these components. Likewise, the version of ADSI that is present as a system library in Microsoft Windows 2000 does not depend on these legacy components. In either of these installations, ADSI is fully compatible with MDAC 2.6.

If it is not possible to use the DSClient run time for Windows NT 4.0 or to run on a Windows 2000 computer, an installation of MDAC 2.6 can be rolled back to an earlier version. For details, see the following Microsoft Web site:

Note ADSI 2.5 is not compatible with any version of MDAC later than MDAC 2.5.
For additional information, click the article numbers below to view the articles in the Microsoft Knowledge Base:
216709 ADSI 2.0, 2.5, and MDAC 2.1 Compatibility Issues
223048 FIX: Using ADO with ADSI Returns 'Error 800a01ad (429)'
216290 INFO: Determining Which Version of ADSI Is Installed
adsi mdac 80040154 -2147221164

Article ID: 275917 - Last Review: 02/28/2014 04:22:01 - Revision: 6.0

Microsoft Active Directory Service Interfaces 2.5, Microsoft Data Access Components 2.6

  • kbnosurvey kbarchive kbmsg kbprb KB275917